package org.gcube.common.clients.gcore.plugins;

import org.apache.axis.message.addressing.EndpointReferenceType;
import org.gcube.common.clients.delegates.ProxyPlugin;

/**
 * A {@link ProxyPlugin} for gCore services
 * 
 * @author Fabio Simeoni
 *
 * @param <S> the type of service proxies
 * @param <P> the type of service stubs
 */
public interface Plugin<S,P> extends ProxyPlugin<EndpointReferenceType, S,P> {

	/**
	 * Returns the gCube name of the service.
	 * @return the name
	 */
	String serviceClass();
	
	/**
	 * Returns the gCube class of the service.
	 * @return the class
	 */
	String serviceName();;
}
